Opened 11 years ago

Closed 11 years ago

#1084 closed defect (worksforme)

pngnq not recognized on Ubuntu 8.04

Reported by: DaBear Owned by: Deelkar
Priority: major Milestone:
Component: osmarender Version:
Keywords: Cc:

Description

I followed the Install Guide for the tah client and installed all required packages with aptitude. But I get the message "! Can't find pngnq (using "pngnq").". I found out that the checks in tahconfig.pm which were introduced in #9237 don't cover the output of pngnq on my Ubuntu 8.04. The command "pngnq -V" returns "pngnq (null)" instead of a version number. I seems to be an error of pngnq but perhaps someone could implement a workaround.

Change History (4)

comment:1 Changed 11 years ago by greku@…

There is another problem with the version check of pngnq. If the version ist higher than 0.5, in my case 0.5.1, the version check returns 'pngnq version 5.1 too low, needs to be at least 0.5. 'pngnq -V' returns 'pngnq 0.5.1'. A dirty little shell wrapper script allows me to use this version anyway, but I don't recommend it.

comment:2 Changed 11 years ago by Deelkar

Owner: changed from Jochen Topf to Deelkar

As a sidenote, the current t@h client should correctly detect 0.5.1 as newer than 0.5.

As for the (null) version, there is a third-party package built by one of the herd available for .deb based distributions, and if it has not happened already you should file a bug with your distro.

comment:3 Changed 11 years ago by phil@…

The file location for pngnq is not defined in tilesathome.conf.windows nor tilesathome.conf.linux hence the failure when following the install instructions

windows shold be like Pngnq=c:\program files\pngnq\pngnq.exe

not sure of the linux setting, presumable something like Pngnq=pngnq

comment:4 Changed 11 years ago by Deelkar

Resolution: worksforme
Status: newclosed

The additional issue has been adressed, and a working pngnq is available for Ubuntu, so I'll resolve this as "WORKSFORME"

Note: See TracTickets for help on using tickets.